# Time-stamp: <modified the 17/01/2023 (at 14:41) by Erwan Jahier>


DECO_PATTERN="0:root.ml 1-:p.ml"
-include ./Makefile.dot
-include Makefile.untracked
-include ./Makefile.inc

##############################################################################
# Non-regression tests

test: g.gm_test ER.gm_test g.rdbg-test lurette0.rif clean

# update golden-master tests (if necessary)
utest:
	make g.ugm_test || echo "g ok"
	make ER.ugm_test || echo "ER ok"

lurette0.rif: g.cmxs g.lut
	lurette --sasa -o $@  \
      -env "sasa -seed 42 g.dot -custd -rif" \
      -sut "lutin -seed 42  g.lut -n distributed"

clean: genclean
	rm -f g_oracle.lus g.ml lurette0.rif

##############################################################################
# Other examples of use

sim2chrogtk: g.rif
	sim2chrogtk -ecran -in $< > /dev/null

gnuplot: g.rif
	gnuplot-rif $<

lurette: lurette0.rif
	sim2chrogtk -ecran -in lurette0.rif > /dev/null
	gnuplot-rif lurette0.rif


rdbg: g.lut g.ml
	rdbg --sasa -o lurette.rif -env "$(sasa) g.dot  -rif"

rdbgui: g.lut g.ml
	rdbgui4sasa -o lurette.rif -env "$(sasa) g.dot  -rif"

rdbg2: g.lut g.ml
	rdbg --sasa -o lurette.rif  \
      -env "$(sasa) g.dot  -rif" \
      -sut-nd "lutin g.lut -n dummy"
